Search documentation of stripe_elixir

# StripeElixir.Services.Tax.RegistrationService (stripe_elixir v0.1.0)

Copy Markdown View Source

TaxProductRegistrationsResourceTaxRegistration

A Tax `Registration` lets us know that your business is registered to collect tax on payments within a region, enabling you to automatically collect tax.

Stripe doesn't register on your behalf with the relevant authorities when you create a Tax `Registration` object. For more information on how to register to collect tax, see our guide.

Related guide: Using the Registrations API

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a registration

list(client, params \\ %{}, opts \\ [])

List registrations

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a registration

update(client, id, params \\ %{}, opts \\ [])

Update a registration

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Create a registration

Creates a new Tax `Registration` object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List registrations

Returns a list of Tax `Registration` objects.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a registration

Returns a Tax `Registration` object.

# update(client, id, params \\ %{}, opts \\ [])

    @spec update(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Update a registration

Updates an existing Tax `Registration` object.

A registration cannot be deleted after it has been created. If you wish to end a registration you may do so by setting `expires_at`.